question
John Tannahill
tannahill1 at llnl.gov
Wed Jul 23 11:25:05 CDT 2003
Please keep me posted as to the status of my problem with the
Fortran interface. I will look at it some more myself, but I
don't have much experience with autoconf, etc. Maybe the autoconf
stuff is fine and it is just something more basic I am missing? I
would be happy to send you any diagnostic information you would like.
In fact, I will include here the procedure I used to get the library
installed on seaborg/NERSC (it's a little different than what I
used on frost):
seaborg:
-------
gunzip parallel-netcdf-0.8.4.tar.gz
tar xf parallel-netcdf-0.8.4.tar
cd parallel-netcdf-0.8.4
vi configure.in
Change:
UC_PROG_FC
To:
UD_PROG_FC
setenv CC xlc
setenv FC xlf
module load gnu
autoconf
vi configure
Comment out the following lines in configure:
###if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
### (eval $ac_compile) 2>&5
### ac_status=$?
### echo "$as_me:$LINENO: \$? = $ac_status" >&5
### (exit $ac_status); } &&
### { ac_try='test -s conftest.$ac_objext'
### { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
### (eval $ac_try) 2>&5
### ac_status=$?
### echo "$as_me:$LINENO: \$? = $ac_status" >&5
### (exit $ac_status); }; }; then
### echo "$as_me:$LINENO: result: yes" >&5
###echo "${ECHO_T}yes" >&6
###else
### echo "$as_me: failed program was:" >&5
###cat conftest.$ac_ext >&5
###{ { echo "$as_me:$LINENO: error: mpi implementation does not support ...
###echo "$as_me: error: mpi implementation does not support MPI-IO" >&2;}
### { (exit 1); exit 1; }; }
###fi
./configure --prefix=/usr/common/homes/j/jrt/Pnc/parallel-netcdf-0.8.4
vi macros.make
Change:
CC = xlc
CXX = xlC_r
FC = xlf
To:
CC = mpcc_r
CXX = mpCC_r
FC = mpxlf_r
make
make install
Robert Latham wrote:
> On Tue, Jul 22, 2003 at 01:34:11PM -0700, John Tannahill wrote:
>
>>I am steadily making progress. I have installed parallel-netcdf on
>>an IBM-SP at NERSC (seaborg). I have put together a C test code and
>>gotten it to work.
>
>
> fantastic. thanks for the success report!
>
>
>>I now have created a Fortran90 version of the
>>test code, but have not gotten it to link and run yet. Does the
>>default install put together a parallel-netcdf interface for C only?
>
>
> The default install *should* try to build the fortran interface, but
> it is not nearly as well tested as the c interface.
>
>
>>Do I need to change something and rebuild it to get a Fortran90
>>interface?
>
>
> i don't know f90 very well... if we have to do anything special for a
> f90 interface that we wouldn't have to do for an f77 interface, then
> maybe that's the problem?
>
>
>>Then do I just change the ncmpi_ calls to nfmpi_, and add
>>an ierror argument at the end?
>
>
> that's how it works in theory :>
>
>>Anywhere I could have looked to get answers to these questions
>>myself?
>
>
> nope :> you and troy baer are the only end users who have tried out
> our fortran interface. I'll see what i can find out tomorrow, and
> i'll be sure to let you know.
>
> Thanks for exercising the fortran side of things for us. Sorry you
> are running into so much difficulty, but we'll try to get you
> straight as soon as we can.
>
> ==rob
>
--
============================
John R. Tannahill
Lawrence Livermore Nat. Lab.
P.O. Box 808, M/S L-103
Livermore, CA 94551
925-423-3514
Fax: 925-423-4908
============================
More information about the parallel-netcdf
mailing list